Package picard.sam.markduplicates.util

# Class PhysicalLocationForMateCigarSet

java.lang.Object
picard.sam.markduplicates.util.PhysicalLocationForMateCigarSet

public class PhysicalLocationForMateCigarSet extends Object
This stores records that are comparable for detecting optical duplicates.

## Constructor Summary

Constructors
Constructor
Description
`PhysicalLocationForMateCigarSet()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(ReadEndsForMateCigar end)`
Adds the end to this set, if not already added based on physical location
`Set<ReadEnds>`
`getReadEnds()`
Gets the set of read ends
`void`
`remove(ReadEndsForMateCigar end)`
Removes the end from this set, if present
`void`
`replace(ReadEndsForMateCigar current, ReadEndsForMateCigar other)`
Replaces a given end with the other end.
`int`
`size()`
The number of records in this set

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PhysicalLocationForMateCigarSet

public PhysicalLocationForMateCigarSet()

## Method Details

### add

public void add(ReadEndsForMateCigar end)
Adds the end to this set, if not already added based on physical location

### size

public int size()
The number of records in this set

### remove

public void remove(ReadEndsForMateCigar end)
Removes the end from this set, if present

### getReadEnds

public Set<ReadEnds> getReadEnds()
Gets the set of read ends

### replace

public void replace(ReadEndsForMateCigar current, ReadEndsForMateCigar other)
Replaces a given end with the other end. This ensures that that current is in this set